| Server IP : 167.99.254.82 / Your IP : 216.73.216.76 Web Server : Apache System : Linux host.techisquad.com 5.15.0-187-generic #197-Ubuntu SMP Fri Jul 17 19:17:01 UTC 2026 x86_64 User : pawluxera ( 1011) PHP Version : 8.1.34 Disable Function : NONE MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : OFF | Sudo : ON | Pkexec : ON Directory : /etc/etckeeper/init.d/ |
Upload File : |
#!/bin/sh
set -e
if [ "$VCS" = git ]; then
if ! git add .; then
echo "etckeeper warning: git add failed" >&2
fi
elif [ "$VCS" = hg ]; then
if ! hg add .; then
echo "etckeeper warning: hg add failed" >&2
fi
elif [ "$VCS" = bzr ]; then
if ! bzr add .; then
echo "etckeeper warning: bzr add failed" >&2
fi
elif [ "$VCS" = darcs ]; then
# Don't warn if all the files were already added.
rc=0
res=$( darcs add -qr . 2>&1 ) || rc=$?
if test $rc -ne 0; then
if ! test $rc -eq 2 -a "${res%No files were added}" != "$res"; then
printf "%s" "$res"
echo "etckeeper warning: darcs add failed" >&2
fi
fi
unset rc res
fi